Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-24160

Can this plugin support Google OAuth 2.0?

    XMLWordPrintable

    Details

    • Similar Issues:

      Description

      I was using the OpenID plugin to provide SSO support to our Jenkins instance. Since Google shut down OpenID registration for new domains so that isn't a viable option anymore. (See https://issues.jenkins-ci.org/browse/JENKINS-23431)

      I'm wondering if this plugin can be used to provide SSO support to Jenkins via Google's OAuth 2.0 implementation. I noticed some GoogleOAuth2*.java classes in the source and the "Install a plugin that requires OAuth Scopes" error message on the credentials page and it piqued my interest.

      Any help/information would be much appreciated!

      Regards,
      Matt

        Attachments

          Activity

          Hide
          danielbeck Daniel Beck added a comment -

          Jira is an issue tracker, not a support site.

          To get assistance, please use the #jenkins IRC channel on Freenode or the jenkinsci-users mailing list.

          Show
          danielbeck Daniel Beck added a comment - Jira is an issue tracker, not a support site. To get assistance, please use the #jenkins IRC channel on Freenode or the jenkinsci-users mailing list.
          Hide
          kylecordes kylecordes added a comment -

          Daniel - would it be suitable to rephrase this item as an issue/feature request, something like "Add support for OpenID Connect or Google+ Sign-in"?

          Show
          kylecordes kylecordes added a comment - Daniel - would it be suitable to rephrase this item as an issue/feature request, something like "Add support for OpenID Connect or Google+ Sign-in"?
          Hide
          danielbeck Daniel Beck added a comment -

          Best to file a new issue. Make sure to select the correct component so it has a chance to reach the correct developer.

          Show
          danielbeck Daniel Beck added a comment - Best to file a new issue. Make sure to select the correct component so it has a chance to reach the correct developer.
          Hide
          kylecordes kylecordes added a comment -

          It looks like such an issue already exists: JENKINS-23431

          ...And I put some hopefully relevant comments there.

          So this one can probably be closed as a duplicate. I don't know if it's something I can do as a mere end-user of this particular issue tracker instance

          Show
          kylecordes kylecordes added a comment - It looks like such an issue already exists: JENKINS-23431 ...And I put some hopefully relevant comments there. So this one can probably be closed as a duplicate. I don't know if it's something I can do as a mere end-user of this particular issue tracker instance
          Hide
          danielbeck Daniel Beck added a comment -

          So this one can probably be closed as a duplicate. I don't know if it's something I can do as a mere end-user of this particular issue tracker instance

          Not worth the 5 clicks it takes, but go for it

          Show
          danielbeck Daniel Beck added a comment - So this one can probably be closed as a duplicate. I don't know if it's something I can do as a mere end-user of this particular issue tracker instance Not worth the 5 clicks it takes, but go for it
          Hide
          kylecordes kylecordes added a comment -

          duplicate of JENKINS-23431

          Show
          kylecordes kylecordes added a comment - duplicate of JENKINS-23431

            People

            Assignee:
            Unassigned Unassigned
            Reporter:
            mhupman Matt Hupman
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: